NamingResources (Tomcat API Documentation)
Keywords: org.apache.catalina.deploy.NamingResources class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class NamingResources

    java.lang.Object
      org.apache.catalina.deploy.NamingResources

All Implemented Interfaces:
  java.io.Serializable

    public class NamingResources

extends java.lang.Object
implements java.io.Serializable

Holds and manages the naming resources defined in the J2EE Enterprise Naming Context and their associated JNDI context.

Version:
  $Revision: 652623 $ $Date: 2008-05-01 20:58:16 +0200 (Thu, 01 May 2008) $
Author:
  Remy Maucherat
See Also:
  Serialized Form

Field Summary
`protected java.beans.PropertyChangeSupport` | `support` The property change support for this component.

Constructor Summary
`NamingResources()` Create a new NamingResources instance.

Method Summary
`void` | `addEjb(ContextEjb ejb)` Add an EJB resource reference for this web application.
`void` | `addEnvironment(ContextEnvironment environment)` Add an environment entry for this web application.
`void` | `addLocalEjb(ContextLocalEjb ejb)` Add a local EJB resource reference for this web application.
`void` | `addMessageDestinationRef(MessageDestinationRef mdr)` Add a message destination reference for this web application.
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)` Add a property change listener to this component.
`void` | `addResource(ContextResource resource)` Add a resource reference for this web application.
`void` | `addResourceEnvRef(ContextResourceEnvRef resource)` Add a resource environment reference for this web application.
`void` | `addResourceLink(ContextResourceLink resourceLink)` Add a resource link for this web application.
`void` | `addService(ContextService service)` Add a web service reference for this web application.
`boolean` | `exists(java.lang.String name)` Return true if the name specified already exists.
`ContextEjb` | `findEjb(java.lang.String name)` Return the EJB resource reference with the specified name, if any; otherwise, return `null`.
`ContextEjb[]` | `findEjbs()` Return the defined EJB resource references for this application.
`ContextEnvironment` | `findEnvironment(java.lang.String name)` Return the environment entry with the specified name, if any; otherwise, return `null`.
`ContextEnvironment[]` | `findEnvironments()` Return the set of defined environment entries for this web application.
`ContextLocalEjb` | `findLocalEjb(java.lang.String name)` Return the local EJB resource reference with the specified name, if any; otherwise, return `null`.
`ContextLocalEjb[]` | `findLocalEjbs()` Return the defined local EJB resource references for this application.
`MessageDestinationRef` | `findMessageDestinationRef(java.lang.String name)` Return the message destination reference with the specified name, if any; otherwise, return `null`.
`MessageDestinationRef[]` | `findMessageDestinationRefs()` Return the defined message destination references for this application.
`ContextResource` | `findResource(java.lang.String name)` Return the resource reference with the specified name, if any; otherwise return `null`.
`ContextResourceEnvRef` | `findResourceEnvRef(java.lang.String name)` Return the resource environment reference type for the specified name, if any; otherwise return `null`.
`ContextResourceEnvRef[]` | `findResourceEnvRefs()` Return the set of resource environment reference names for this web application.
`ContextResourceLink` | `findResourceLink(java.lang.String name)` Return the resource link with the specified name, if any; otherwise return `null`.
`ContextResourceLink[]` | `findResourceLinks()` Return the defined resource links for this application.
`ContextResource[]` | `findResources()` Return the defined resource references for this application.
`ContextService` | `findService(java.lang.String name)` Return the web service reference for the specified name, if any; otherwise return `null`.
`ContextService[]` | `findServices()` Return the defined web service references for this application.
`java.lang.Object` | `getContainer()` Get the container with which the naming resources are associated.
`ContextTransaction` | `getTransaction()` Get the transaction object.
`void` | `removeEjb(java.lang.String name)` Remove any EJB resource reference with the specified name.
`void` | `removeEnvironment(java.lang.String name)` Remove any environment entry with the specified name.
`void` | `removeLocalEjb(java.lang.String name)` Remove any local EJB resource reference with the specified name.
`void` | `removeMessageDestinationRef(java.lang.String name)` Remove any message destination reference with the specified name.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)` Remove a property change listener from this component.
`void` | `removeResource(java.lang.String name)` Remove any resource reference with the specified name.
`void` | `removeResourceEnvRef(java.lang.String name)` Remove any resource environment reference with the specified name.
`void` | `removeResourceLink(java.lang.String name)` Remove any resource link with the specified name.
`void` | `removeService(java.lang.String name)` Remove any web service reference with the specified name.
`void` | `setContainer(java.lang.Object container)` Set the container with which the naming resources are associated.
`void` | `setTransaction(ContextTransaction transaction)` Set the transaction object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### support

    protected java.beans.PropertyChangeSupport support

  The property change support for this component.

Constructor Detail

### NamingResources

    public NamingResources()

  Create a new NamingResources instance.

Method Detail

### getContainer

    public java.lang.Object getContainer()

  Get the container with which the naming resources are associated.

### setContainer

    public void setContainer(java.lang.Object container)

  Set the container with which the naming resources are associated.

### setTransaction

    public void setTransaction(ContextTransaction transaction)

  Set the transaction object.

### getTransaction

    public ContextTransaction getTransaction()

  Get the transaction object.

### addEjb

    public void addEjb(ContextEjb ejb)

  Add an EJB resource reference for this web application.

  Parameters:
    `ejb` - New EJB resource reference

### addEnvironment

    public void addEnvironment(ContextEnvironment environment)

  Add an environment entry for this web application.

  Parameters:
    `environment` - New environment entry

### addLocalEjb

    public void addLocalEjb(ContextLocalEjb ejb)

  Add a local EJB resource reference for this web application.

  Parameters:
    `ejb` - New EJB resource reference

### addMessageDestinationRef

    public void addMessageDestinationRef(MessageDestinationRef mdr)

  Add a message destination reference for this web application.

  Parameters:
    `mdr` - New message destination reference

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Add a property change listener to this component.

  Parameters:
    `listener` - The listener to add

### addResource

    public void addResource(ContextResource resource)

  Add a resource reference for this web application.

  Parameters:
    `resource` - New resource reference

### addResourceEnvRef

    public void addResourceEnvRef(ContextResourceEnvRef resource)

  Add a resource environment reference for this web application.

  Parameters:
    `resource` - The resource

### addResourceLink

    public void addResourceLink(ContextResourceLink resourceLink)

  Add a resource link for this web application.

  Parameters:
    `resourceLink` - New resource link

### addService

    public void addService(ContextService service)

  Add a web service reference for this web application.

  Parameters:
    `service` - New web service reference

### findEjb

    public ContextEjb findEjb(java.lang.String name)

  Return the EJB resource reference with the specified name, if any; otherwise, return `null`.

  Parameters:
    `name` - Name of the desired EJB resource reference

### findEjbs

    public ContextEjb[] findEjbs()

  Return the defined EJB resource references for this application. If there are none, a zero-length array is returned.

### findEnvironment

    public ContextEnvironment findEnvironment(java.lang.String name)

  Return the environment entry with the specified name, if any; otherwise, return `null`.

  Parameters:
    `name` - Name of the desired environment entry

### findEnvironments

    public ContextEnvironment[] findEnvironments()

  Return the set of defined environment entries for this web application. If none have been defined, a zero-length array is returned.

### findLocalEjb

    public ContextLocalEjb findLocalEjb(java.lang.String name)

  Return the local EJB resource reference with the specified name, if any; otherwise, return `null`.

  Parameters:
    `name` - Name of the desired EJB resource reference

### findLocalEjbs

    public ContextLocalEjb[] findLocalEjbs()

  Return the defined local EJB resource references for this application. If there are none, a zero-length array is returned.

### findMessageDestinationRef

    public MessageDestinationRef findMessageDestinationRef(java.lang.String name)

  Return the message destination reference with the specified name, if any; otherwise, return `null`.

  Parameters:
    `name` - Name of the desired message destination reference

### findMessageDestinationRefs

    public MessageDestinationRef[] findMessageDestinationRefs()

  Return the defined message destination references for this application. If there are none, a zero-length array is returned.

### findResource

    public ContextResource findResource(java.lang.String name)

  Return the resource reference with the specified name, if any; otherwise return `null`.

  Parameters:
    `name` - Name of the desired resource reference

### findResourceLink

    public ContextResourceLink findResourceLink(java.lang.String name)

  Return the resource link with the specified name, if any; otherwise return `null`.

  Parameters:
    `name` - Name of the desired resource link

### findResourceLinks

    public ContextResourceLink[] findResourceLinks()

  Return the defined resource links for this application. If none have been defined, a zero-length array is returned.

### findResources

    public ContextResource[] findResources()

  Return the defined resource references for this application. If none have been defined, a zero-length array is returned.

### findResourceEnvRef

    public ContextResourceEnvRef findResourceEnvRef(java.lang.String name)

  Return the resource environment reference type for the specified name, if any; otherwise return `null`.

  Parameters:
    `name` - Name of the desired resource environment reference

### findResourceEnvRefs

    public ContextResourceEnvRef[] findResourceEnvRefs()

  Return the set of resource environment reference names for this web application. If none have been specified, a zero-length array is returned.

### findService

    public ContextService findService(java.lang.String name)

  Return the web service reference for the specified name, if any; otherwise return `null`.

  Parameters:
    `name` - Name of the desired web service

### findServices

    public ContextService[] findServices()

  Return the defined web service references for this application. If none have been defined, a zero-length array is returned.

### exists

    public boolean exists(java.lang.String name)

  Return true if the name specified already exists.

### removeEjb

    public void removeEjb(java.lang.String name)

  Remove any EJB resource reference with the specified name.

  Parameters:
    `name` - Name of the EJB resource reference to remove

### removeEnvironment

    public void removeEnvironment(java.lang.String name)

  Remove any environment entry with the specified name.

  Parameters:
    `name` - Name of the environment entry to remove

### removeLocalEjb

    public void removeLocalEjb(java.lang.String name)

  Remove any local EJB resource reference with the specified name.

  Parameters:
    `name` - Name of the EJB resource reference to remove

### removeMessageDestinationRef

    public void removeMessageDestinationRef(java.lang.String name)

  Remove any message destination reference with the specified name.

  Parameters:
    `name` - Name of the message destination resource reference to remove

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Remove a property change listener from this component.

  Parameters:
    `listener` - The listener to remove

### removeResource

    public void removeResource(java.lang.String name)

  Remove any resource reference with the specified name.

  Parameters:
    `name` - Name of the resource reference to remove

### removeResourceEnvRef

    public void removeResourceEnvRef(java.lang.String name)

  Remove any resource environment reference with the specified name.

  Parameters:
    `name` - Name of the resource environment reference to remove

### removeResourceLink

    public void removeResourceLink(java.lang.String name)

  Remove any resource link with the specified name.

  Parameters:
    `name` - Name of the resource link to remove

### removeService

    public void removeService(java.lang.String name)

  Remove any web service reference with the specified name.

  Parameters:
    `name` - Name of the web service reference to remove

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.